hdcp1x: XHdcp1x_PortPhyIfAdaptorS Struct Reference

| hdcp1x Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp1x_PortPhyIfAdaptorS Struct Reference
Hdcp1x_v4_3

The typedef defines the HDCP port adaptor table. More...

## Data Fields
int(* | Init )(XHdcp1x *)
| Initialization function. More...
int(* | Enable )(XHdcp1x *)
| Enable function. More...
int(* | Disable )(XHdcp1x *)
| Disable function. More...
int(* | Read )(const XHdcp1x *, u8, void *, u32)
| Reg read. More...
int(* | Write )(XHdcp1x *, u8, const void *, u32)
| Reg write. More...
int(* | IsCapable )(const XHdcp1x *)
| Tests for HDCP capable. More...
int(* | IsRepeater )(const XHdcp1x *)
| Tests for repeater. More...
int(* | SetRepeater )(XHdcp1x *, u8)
| Sets repeater. More...
int(* | GetRepeaterInfo )(const XHdcp1x *, u16 *)
| Gets repeater info. More...
void(* | IntrHandler )(XHdcp1x *, u32)
| Interrupt handler. More...
void(* | CallbackHandler )(void *CallbackRef)
| Callback handler. More...

## Detailed Description

The typedef defines the HDCP port adaptor table.

This contains a series of functions that map the external interface of the HDCP port device to the underlying physical interface that it is running over

## Field Documentation

void(* XHdcp1x_PortPhyIfAdaptorS::CallbackHandler)(void *CallbackRef)

Callback handler.

Referenced by XHdcp1x_ProcessAKsv().

int(* XHdcp1x_PortPhyIfAdaptorS::Disable)(XHdcp1x *)

Disable function.

Referenced by XHdcp1x_PortDisable().

int(* XHdcp1x_PortPhyIfAdaptorS::Enable)(XHdcp1x *)

Enable function.

Referenced by XHdcp1x_PortEnable().

int(* XHdcp1x_PortPhyIfAdaptorS::GetRepeaterInfo)(const XHdcp1x *, u16 *)

Gets repeater info.

Referenced by XHdcp1x_PortGetRepeaterInfo().

int(* XHdcp1x_PortPhyIfAdaptorS::Init)(XHdcp1x *)

Initialization function.

Referenced by XHdcp1x_CfgInitialize().

void(* XHdcp1x_PortPhyIfAdaptorS::IntrHandler)(XHdcp1x *, u32)

Interrupt handler.

Referenced by XHdcp1x_PortHandleInterrupt().

int(* XHdcp1x_PortPhyIfAdaptorS::IsCapable)(const XHdcp1x *)

Tests for HDCP capable.

Referenced by XHdcp1x_PortIsCapable().

int(* XHdcp1x_PortPhyIfAdaptorS::IsRepeater)(const XHdcp1x *)

Tests for repeater.

Referenced by XHdcp1x_PortIsRepeater().

int(* XHdcp1x_PortPhyIfAdaptorS::Read)(const XHdcp1x *, u8, void *, u32)

Reg read.

Referenced by XHdcp1x_PortRead().

int(* XHdcp1x_PortPhyIfAdaptorS::SetRepeater)(XHdcp1x *, u8)

Sets repeater.

Referenced by XHdcp1x_PortSetRepeater().

int(* XHdcp1x_PortPhyIfAdaptorS::Write)(XHdcp1x *, u8, const void *, u32)

Reg write.

Referenced by XHdcp1x_PortWrite().